local createCompositionback = nil
local createCompositionfront = nil
local createCompositionPilka = nil
local createCompositionpiluka = nil
local createCompositionptic = nil
local createCompositionSkyies = nil
local createCompositionsvet_okna = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/12_grannies_room/main/anim/bg/"
---------------------------------------------------------------------------------------
function Loader_12_BG_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionback,		                'back',		        0,0, 1,  512,384, true),
    			CreateCompositionLoader(createCompositionfront,		                'front',		    0,0, 30, 512,384, true),
		},
		{
			function (element, textureName)
				if textureName == "piluka.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "Ptica_chern[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,90,90)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "spider[].PNG" then
					local anim = element:GetTexture()
					anim:SetFrames(2)
					anim:SetTextureRect(0,0,70,70)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "svet.PNG" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionback = function()
	local compositionback = CreateCompositionSequence()
	local compositionDuration = 8
	compositionback:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."svet_loc.PNG")
	element:SetName("Layer_1")
	compositionback:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionback)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."bg1.PNG")
	element:SetName("Layer_2")
	compositionback:AddElement(element)
	element:SetHotSpot(49.5, 384)
	element:SetParentElement(compositionback)
	element:SetXY(49.5, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."bg2.jpg")
	element:SetName("Layer_3")
	compositionback:AddElement(element)
	element:SetHotSpot(465.5, 384)
	element:SetParentElement(compositionback)
	element:SetXY(558.5, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."nis.PNG")
	element:SetName("Layer_4")
	compositionback:AddElement(element)
	element:SetHotSpot(31.5, 5)
	element:SetParentElement(compositionback)
	element:SetXY(62, 351)
 
	element:SetScaleX(1.29)
	element:SetScaleY(1.29)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionsvet_okna()
	element:SetName("Layer_5")
	compositionback:AddElement(element)
	element:SetHotSpot(159, 138.461538461538)
	element:SetParentElement(compositionback)
	element:SetXY(19, 210)
 
	element:SetScaleX(2.28115999383925)
	element:SetScaleY(2.54821347810264)
	element:SetAngle(-1.9722220525)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionsvet_okna()
	element:SetName("Layer_6")
	compositionback:AddElement(element)
	element:SetHotSpot(159, 138.461538461538)
	element:SetParentElement(compositionback)
	element:SetXY(19, 210)
 
	element:SetScaleX(2.28115999383925)
	element:SetScaleY(2.54821347810264)
	element:SetAngle(-1.9722220525)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_7
	element = createCompositionptic()
	element:SetName("Layer_7")
	compositionback:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionback)
	element:SetXY(37, 227)
 
	element:SetScaleX(0.56)
	element:SetScaleY(0.56)
	element:SetOpacity(0.35)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."dre.PNG")
	element:SetName("Layer_8")
	compositionback:AddElement(element)
	element:SetHotSpot(38, 83.5)
	element:SetParentElement(compositionback)
	element:SetXY(67, 360)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 1.45833333333333, -0.0763581546875)
	effector:SetKey(_TRACK_A, 2, -0.0925003889318)
	effector:SetKey(_TRACK_A, 2.58333333333333, -0.074176493125)
	effector:SetKey(_TRACK_A, 3.5, -0.02617993875)
	effector:SetKey(_TRACK_A, 4, -0.01293815803613)
	effector:SetKey(_TRACK_A, 4.5, -0.02731819695652)
	effector:SetKey(_TRACK_A, 5.45833333333333, -0.07967807445652)
	effector:SetKey(_TRACK_A, 6, -0.0925003889318)
	effector:SetKey(_TRACK_A, 6.54166666666667, -0.07266268714286)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_9
	element = createCompositionSkyies()
	element:SetName("Layer_9")
	compositionback:AddElement(element)
	element:SetHotSpot(512, 206.5)
	element:SetParentElement(compositionback)
	element:SetXY(57, 298)
 
	element:SetScaleX(0.6)
	element:SetScaleY(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionback:Play()
 
	return compositionback
end
 
createCompositionfront = function()
	local compositionfront = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfront:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionsvet_okna()
	element:SetName("Layer_1")
	compositionfront:AddElement(element)
	element:SetHotSpot(159, 138.461538461538)
	element:SetParentElement(compositionfront)
	element:SetXY(19, 210)
 
	element:SetScaleX(3.22824290843884)
	element:SetScaleY(2.54821347810264)
	element:SetAngle(-1.9722220525)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionsvet_okna()
	element:SetName("Layer_2")
	compositionfront:AddElement(element)
	element:SetHotSpot(159, 138.461538461538)
	element:SetParentElement(compositionfront)
	element:SetXY(19, 210)
 
	element:SetScaleX(2.28115999383925)
	element:SetScaleY(2.54821347810264)
	element:SetAngle(-1.9722220525)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionPilka()
	element:SetName("Layer_3")
	compositionfront:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionfront)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."spider[].PNG")
	element:SetName("Layer_4")
	compositionfront:AddElement(element)
	element:SetHotSpot(35, 35)
	element:SetParentElement(compositionfront)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.20833333333333, 3.54166666666667)
	effector:SetKey(_TRACK_X, 0.20833333333333, 75)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 779)
	effector:SetKey(_TRACK_X, 2.41666666666667, 44)
	effector:SetKey(_TRACK_Y, 2.41666666666667, 545)
	effector:SetKey(_TRACK_X, 3.54166666666667, -13)
	effector:SetKey(_TRACK_Y, 3.54166666666667, 467)
	effector:SetKey(_TRACK_SX, 2.41666666666667, 0.6)
	effector:SetKey(_TRACK_SY, 2.41666666666667, 0.6)
	effector:SetKey(_TRACK_SX, 3.5, 0.3)
	effector:SetKey(_TRACK_SY, 3.5, 0.3)
	effector:SetKey(_TRACK_A, 2.375, -1.74532925)
	effector:SetKey(_TRACK_A, 2.41666666666667, -2.3561944875)
	effector:SetKey(_TRACK_A, 2.5, -2.30383461)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."ten.PNG")
	element:SetName("Layer_5")
	compositionfront:AddElement(element)
	element:SetHotSpot(28.5, 27.5)
	compositionfront:RegisterParentInfo("Layer_5", "Layer_4")
	element:SetXY(32.7274444929196, 31.781953823151)
 
	element:SetScaleX(0.97666666666667)
	element:SetScaleY(0.97666666666667)
	element:SetAngle(1.74532925)
	element:SetOpacity(0.94)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionfront:Play()
 
	return compositionfront
end
 
createCompositionPilka = function()
	local compositionPilka = CreateCompositionSequence()
	local compositionDuration = 8
	compositionPilka:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionpiluka()
	element:SetName("Layer_1")
	compositionPilka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionPilka)
	element:SetXY(205, 354)
 
	element:SetScaleX(-1.01)
	element:SetScaleY(1.0289375)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionpiluka()
	element:SetName("Layer_2")
	compositionPilka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionPilka)
	element:SetXY(205, 354)
 
	element:SetScaleX(-1.01)
	element:SetScaleY(1.0289375)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionpiluka()
	element:SetName("Layer_3")
	compositionPilka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionPilka)
	element:SetXY(479, 422)
 
	element:SetScaleX(-1.83)
	element:SetScaleY(1.8643125)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionpiluka()
	element:SetName("Layer_4")
	compositionPilka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionPilka)
	element:SetXY(494, 374)
 
	element:SetScaleX(1.63)
	element:SetScaleY(1.63)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionpiluka()
	element:SetName("Layer_5")
	compositionPilka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionPilka)
	element:SetXY(199, 310)
 
	element:SetScaleX(0.55)
	element:SetScaleY(0.55)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionpiluka()
	element:SetName("Layer_6")
	compositionPilka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionPilka)
	element:SetXY(199, 310)
 
	element:SetScaleX(0.55)
	element:SetScaleY(0.55)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionPilka:Play()
 
	return compositionPilka
end
 
createCompositionpiluka = function()
	local compositionpiluka = CreateCompositionSequence()
	local compositionDuration = 8
	compositionpiluka:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."piluka.png")
	element:SetName("Layer_1")
	compositionpiluka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionpiluka)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 332.88456758836)
	effector:SetKey(_TRACK_Y, 0, 228.910974877944)
	effector:SetKey(_TRACK_X, 7.95833333333333, 121)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 212)
	effector:SetKey(_TRACK_SX, 0, 1.18094240837696)
	effector:SetKey(_TRACK_SY, 0, 1.18094240837696)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1.36)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1.36)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."piluka.png")
	element:SetName("Layer_2")
	compositionpiluka:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionpiluka)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 547)
	effector:SetKey(_TRACK_Y, 0, 246)
	effector:SetKey(_TRACK_X, 7.95833333333333, 332.88456758836)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 228.910974877944)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1.18094240837696)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1.18094240837696)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 7.95833333333333, 1)
	effector:Play()
 
	compositionpiluka:Play()
 
	return compositionpiluka
end
 
createCompositionptic = function()
	local compositionptic = CreateCompositionSequence()
	local compositionDuration = 8
	compositionptic:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_1")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.1)
	element:SetScaleY(0.1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1122)
	effector:SetKey(_TRACK_Y, 3, 434)
	effector:SetKey(_TRACK_X, 7.95833333333333, -38)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 434)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_2")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.1)
	element:SetScaleY(0.1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1108)
	effector:SetKey(_TRACK_Y, 3, 401)
	effector:SetKey(_TRACK_X, 7.95833333333333, -52)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 401)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_3")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.1)
	element:SetScaleY(0.1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1072)
	effector:SetKey(_TRACK_Y, 3, 424)
	effector:SetKey(_TRACK_X, 7.95833333333333, -88)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 424)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_4")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.1)
	element:SetScaleY(0.1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1042)
	effector:SetKey(_TRACK_Y, 3, 404)
	effector:SetKey(_TRACK_X, 7.95833333333333, -118)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 404)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_5")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.2)
	element:SetScaleY(0.2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1132)
	effector:SetKey(_TRACK_Y, 3, 414)
	effector:SetKey(_TRACK_X, 7.95833333333333, -28)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 414)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_6")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.2)
	element:SetScaleY(0.2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1102)
	effector:SetKey(_TRACK_Y, 3, 384)
	effector:SetKey(_TRACK_X, 7.95833333333333, -58)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 384)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_7")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.23)
	element:SetScaleY(0.23)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1078)
	effector:SetKey(_TRACK_Y, 3, 398)
	effector:SetKey(_TRACK_X, 7.95833333333333, -82)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 398)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_8")
	compositionptic:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionptic)
	element:SetScaleX(0.2)
	element:SetScaleY(0.2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3, 1052)
	effector:SetKey(_TRACK_Y, 3, 384)
	effector:SetKey(_TRACK_X, 7.95833333333333, -108)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 384)
	effector:Play()
 
	compositionptic:Play()
 
	return compositionptic
end
 
createCompositionSkyies = function()
	local compositionSkyies = CreateCompositionSequence()
	local compositionDuration = 8
	compositionSkyies:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."sky.JPG")
	element:SetName("Layer_1")
	compositionSkyies:AddElement(element)
	element:SetHotSpot(510, 417.5)
	element:SetParentElement(compositionSkyies)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 444.156991441491)
	effector:SetKey(_TRACK_Y, 0, 419.510473543771)
	effector:SetKey(_TRACK_X, 7.95833333333333, 379)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 421.5)
	effector:SetKey(_TRACK_SX, 0, 1.13068062827225)
	effector:SetKey(_TRACK_SY, 0, 1.13068062827225)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1.26)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1.26)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."sky.JPG")
	element:SetName("Layer_2")
	compositionSkyies:AddElement(element)
	element:SetHotSpot(510, 417.5)
	element:SetParentElement(compositionSkyies)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 510)
	effector:SetKey(_TRACK_Y, 0, 417.5)
	effector:SetKey(_TRACK_X, 7.95833333333333, 444.156991441491)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 419.510473543771)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1.13068062827225)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1.13068062827225)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 7.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sky.JPG")
	element:SetName("Layer_3")
	compositionSkyies:AddElement(element)
	element:SetHotSpot(512, 206.5)
	element:SetParentElement(compositionSkyies)
	element:SetXY(512, 206.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionSkyies:Play()
 
	return compositionSkyies
end
 
createCompositionsvet_okna = function()
	local compositionsvet_okna = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsvet_okna:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."svet.PNG")
	element:SetName("Layer_1")
	compositionsvet_okna:AddElement(element)
	element:SetHotSpot(82, 26)
	element:SetParentElement(compositionsvet_okna)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 82)
	effector:SetKey(_TRACK_Y, 0, 150.101277817575)
	effector:SetKey(_TRACK_X, 7.95833333333333, 82)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 170)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."svet.PNG")
	element:SetName("Layer_2")
	compositionsvet_okna:AddElement(element)
	element:SetHotSpot(82, 26)
	element:SetParentElement(compositionsvet_okna)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 82)
	effector:SetKey(_TRACK_Y, 0, 150.101277817575)
	effector:SetKey(_TRACK_X, 7.95833333333333, 82)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 170)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."svet.PNG")
	element:SetName("Layer_3")
	compositionsvet_okna:AddElement(element)
	element:SetHotSpot(82, 26)
	element:SetParentElement(compositionsvet_okna)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 82)
	effector:SetKey(_TRACK_Y, 0, 130)
	effector:SetKey(_TRACK_X, 7.95833333333333, 82)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 150.101277817575)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 7.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."svet.PNG")
	element:SetName("Layer_4")
	compositionsvet_okna:AddElement(element)
	element:SetHotSpot(82, 26)
	element:SetParentElement(compositionsvet_okna)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 82)
	effector:SetKey(_TRACK_Y, 0, 130)
	effector:SetKey(_TRACK_X, 7.95833333333333, 82)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 150.101277817575)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 7.95833333333333, 1)
	effector:Play()
 
	compositionsvet_okna:Play()
 
	return compositionsvet_okna
end
 
